Gatana logoGatana Docs
RoutesUsersUserid

/users/{userId}

Update a user; callers who are not the organization owner can change only the name

PUT
/users/{userId}
AuthorizationBearer <token>

In: header

Path Parameters

userId*string

ID of the user

Request Body

application/json

email?string

New email address of the user

Match^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
name?string

New display name of the user

role?string

New role of the user in the tenant

Value in"member" | "owner"
isDisabled?boolean

Whether the user is disabled

isScimManaged?boolean

Whether the user is managed through SCIM provisioning

scimExternalId?string

SCIM external ID of the user

Response Body

application/json

curl -X PUT "https://YOUR_ORG_ID.gatana.ai/api/v1/users/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "user": {
    "id": "string",
    "tenantId": "string",
    "name": "string",
    "email": "[email protected]",
    "role": "member",
    "isSuperAdministrator": true,
    "isDisabled": true,
    "isServiceAccount": true,
    "isInvited": true,
    "profileIds": [
      {
        "tenantId": "string",
        "userId": "string",
        "profileId": "string",
        "isLockedByOrgOwner": true,
        "createdAt": "string",
        "updatedAt": "string"
      }
    ],
    "isScimManaged": true,
    "scimExternalId": "string",
    "createdAt": "string",
    "updatedAt": "string"
  }
}